Connect to ASE 12.5.3 using ADO.Net from Visual Studio 2005?

Hello all,

Is there a driver available that will enable me to connect from a VS
2005 application to a Sybase ASE 12.5.3 database located on a unix
server on our network? Up until now, I have been trying to do so using
OLEDB, but I would imagine that ADO.Net should be faster.

Any advice would be much appreciated --- I am hoping that the driver
is free and is available directly from Sybase.

Regards,
Kevin
0
Kevin
8/17/2009 8:09:25 PM
sybase.connectivity.adonet 422 articles. 0 followers. Follow

4 Replies
711 Views

Similar Articles

[PageSpeed] 22

Software Developer Kit (http://downloads.sybase.com/swd/base.do?
client=support)
0
Ex_Soft
8/19/2009 4:14:30 AM
Hi, I have exactly the same question. But it seems no one
provides any answer yet. Something wrong with.....???
Thanks,

Jim

> Hello all,
>
> Is there a driver available that will enable me to connect
> from a VS 2005 application to a Sybase ASE 12.5.3 database
> located on a unix server on our network? Up until now, I
> have been trying to do so using OLEDB, but I would imagine
> that ADO.Net should be faster.
>
> Any advice would be much appreciated --- I am hoping that
> the driver is free and is available directly from Sybase.
>
> Regards,
> Kevin
0
Jim
8/28/2009 9:29:06 PM
I tried download this kit but I don't have a Technical
Contact ID so I was not able to download this Kit. Do I have
to pay or something missed? Any tips?
Thanks,
Jim

> Software Developer Kit
> (http://downloads.sybase.com/swd/base.do? client=support)
0
Jim
8/28/2009 10:09:57 PM
Hi Jim,

Nothing wrong with the question.

ASE 12.5.3 doesn't offer the ASE Windows Drivers (ODBC, OLE DB, ADO.NET, 
jConnect for JDBC)
with the PC Client -at least not the latest.  If you have license for ASE 
12.5.4 and 15.0.X the PC Client
has the drivers included.

If you don't have this license you need to purchase the SDK license - this 
kit includes the drivers.
I recommend when you get to this point you use the 15.0 Version of the 
software.

If you want to try this out - you can download the ASE 15.0.3 Developer's 
edition for Windows,
which includes the drivers.

http://www.sybase.com/ase_1500devel

-Paul

<Jim> wrote in message news:4a984c22.68f9.1681692777@sybase.com...
> Hi, I have exactly the same question. But it seems no one
> provides any answer yet. Something wrong with.....???
> Thanks,
>
> Jim
>
>> Hello all,
>>
>> Is there a driver available that will enable me to connect
>> from a VS 2005 application to a Sybase ASE 12.5.3 database
>> located on a unix server on our network? Up until now, I
>> have been trying to do so using OLEDB, but I would imagine
>> that ADO.Net should be faster.
>>
>> Any advice would be much appreciated --- I am hoping that
>> the driver is free and is available directly from Sybase.
>>
>> Regards,
>> Kevin 


0
Paul
8/31/2009 5:30:09 PM
Reply:

Similar Artilces:

Error using Visual Studio 2008 SP1 ASP.NET 3.5 to connect to SQL Server Express 2005 AdventureWorks.
I am following the lerning ASP.NET 3.5 by O'REILLY to write some ASP.NET 3.5 code using Visual Studio 2008 SP1. I have gotten to the point to where I need to Configure a Data Source using the SqlDataSource control. I chose Microsoft SQL Server (SqlClient) even though I have SQL Server Express 2005 - This seems like the only logical choice. I get to the Add Connection window and successfully add a Server name and I use the Select or enter a database name of AdventureWorks. When I click on Test Connection I get the Test Connection Succeeded message box. Unfortunately, when I click OK I ...

connecting 5.8.3 Perl to ASE-12.5, connection successful, no dbh returned
I have installed the latest Perl from Activestate and (Personal) Sybase ASE 12.5 on WindowsXP, as well as the Sybase Client files and .dlls. On another part of the system we've managed to get Java (1.3.1) to connect and talk to Sybase, it seems the Perl ->Sybase connection is proving more tricky than expected. I've run ppm and installed both DBI and DBD::Sybase for Perl and used this code to connect : >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> use DBI;...

Can not connect to ASE 12.0 using jConnect 5.2 using XA transactions #3
I am trying to connect to ASE 12.0 using jConnect 5.2 (SybXADataSource) to make XA transaction calls. I have a stand alone java client 1. Set Data Source to be SybXADataSource I set my properties ds.setPassword(""); ds.setUser(""); ds.setNetworkProtocol("Tds"); ds.setDatabaseName("master"); ds.setResourceManagerName("connection"); ds.setResourceManagerType(1); ds.setServerName("172.18.40.174"); ds.setPortNumber(4100); ...

Using .NET 3.5 in Visual Studio 2005
We are having a major project release that will require extensive testing. Since entire project will be tested we want to recompile the entire solution with .NET 3.5  (from existing .NET 2.0) Can we do this in Visual Studio 2005 without upgrading to VS2008? If yes, how can I target specific .NET version? Hi, dkonyayev:Can we do this in Visual Studio 2005 without upgrading to VS2008? No. VS 2005 was specifically targeted towards the .NET 2.0 framework but could be enhanced by some upgrades to .NET 3.0. For 3.5 however you need VS2008 in which you have the possibility of multitarget...

can't connect to sql server database with same connection used in visual studio .net 2003
I have the following code that works fine in visual studio .net 2003 but not with VWD.  I have sql server 2000 developer edition installed locally and this connection works fine with visual studio.  With VWD it fails with the exception "System.Data.SqlClient.SqlException: Login failed for user 'DARRELL\ASPNET'".  It fails on the conn.Open line.   any ideas on what the issue is?Dim conn As SqlConnectionDim connstr As Stringconnstr = "Data Source=DARRELL;Initial Catalog=Event;Integrated Security=SSPI;"Dim daEvents As New SqlDataAdapter("select * from events", connstr...

Is anyone using ASE 11.3 with Direct Connect for OS390 12.5
We need to upgrade Direct Connect for OS390 to 12.5 but would like to stay at ASE 11.3. Is anyone using this environment successfully? Thanks ...

ASE ADO.NET 2.0 versus data connections in Visual studio
Hi, 1) I am new to ASP.NET and ADO.NET In Visual Studio, one can add a data connection using the server explorer, or directly in a page using for instance a <asp:SqlDataSource>. I can choose Microsoft SQL server or Oracle but not Sybase. I read somewhere that the ADO.NET 2.0 would solve the problem but I've installed it via the SDK and the EBF aftewards, but Sybase still not shows upas data provider. For test, I've added a fixed connection string in web.config and I can use it in my SqlDataSource; but when I want to configure the data source, I can't use th...

Can you use ASP.NET 3.5 AJAX in Visual Studio 2005?
So I've been reading that ajax is now included in 3.5 so I installed it but I am using Visual Studio 2005 and can't seem to get it working. I've added <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager> to my page but it says "Element 'ScriptManager' is not a known element. This can occur if there is a compilation error in the Web site." I read you can use 3.5 in vs2005, but is this true?, and if so how do I get it to recognize it? Or can I only use AJAX 1.0 with VS2005? You will need to install Ajax i...

Is anyone using ASE 11.0.3 with Direct Connect 12.5 for OS390.
We need to upgrade Direct Connect to 12.5 but would like to stay at ASE 11.0.3.3. Is anyone running this environment? Thanks ...

Oracle database connection using Visual Studio 2005 and .Net 2.0 framework
My connection string is in my web config file, generated when I added a sql data source.  I can go under tools and connect to database and compare the connection string there to the one in web config and they are the same but when I try to view my page which contains a gridview I get a database connection error saying  "Keyword not supported: 'unicode'."  When I remove the unicode=true parameter from the connection string then I get an error message about trying to connect to sql server.  Could someone please give me a clue on how to go about solvin...

help me for connecting SQL server 2000 with ASP.NET using visual studio 2005
hi I m rishabh Can some1 hel me with the connection of SQl server 2000 and visual studio 2005 for the ASP.NET web application. the Express edition was instaled on my computer with the visual studio installation but later i hav uninstalled the express edition and have now installed the 2000 sql server, but could not able to connect .. can some1 please hel me out with this... thanking you rishabh http://www.connectionstrings.com/?carrier=sqlserver  Regards Mike [MVP - ASP/ASP.NET]My site...

Using Asp.Net Ajax Control toolkit 3.5 in visual studio 2005 problem
I want to use AjaxControlToolkit for the visual studio 2005 with .net framework 2.0, I was unable to use the current version with it. I want to know if there is a way to download a version that could work with it or is there any setting i need to carry out before i can incorporate the new version into .net framework 2.0 (visual studio 2005). Please it is urgent. Any advice or suggestion is welcome This is the error throws: error loading ajaxcontroltoolkit-framework3.5SPI-NoSource\SampleWebSite\Bin\AjaxControlToolkit.dll, could not load file or assembly 'System.Web.extensions, ver...

.NET 3.0 or 3.5 in visual studio 2005
Hi,I'm developing a site using two seperate machines depending on my location.  One has VS 2008.  The other has VS 2005.  Is there a way to get .NET 3.0 or 3.5 to work on on Visual Studio 2005.  I was told .NET 3.5 won't work because it contains the Vista Modules, but I don't know about 3.0. Hi, Visual Studio 2005 cannot use .Net Framework 3.5 as target framework. In your case, we can install .Net Framework 3.0 redistributable package (http://www.microsoft.com/downloads/details.aspx?FamilyId=10CC340B-F857-4A14-83F5-25634C3BF043&displaylang=en) wh...

ASP 2.0/3.5: How to get Visual Studio Web Developer 2008 Express Edition to use ASP.NET 2.0 rather than 3.5?
Hello, my ISP only supports ASP.NET 2.0. I am using VS Web Dev 2008 Express Edition. I have read somewhere that one can set the IDE to 'target' asp.net 2.0 or 3.5. I can't find this setting anywhere on the menu's. How does one do that?The code I am writing works fine so far. I am worried that I may use a 3.5 feature that is not supported. Thus I want to make sure my code is 2.0 compliant before I upload it.RegardsKhalidLondon  You can do this by right click on the project which you want to run as 2.0, and select properties, In properties you can find Target Frame...

Web resources about - Connect to ASE 12.5.3 using ADO.Net from Visual Studio 2005? - sybase.connectivity.adonet

Connect Four - Wikipedia, the free encyclopedia
Connect Four (also known as Captain's Mistress , Four Up , Plot Four , Find Four , Fourplay , Four in a Row and Four in a Line ) is a two-player ...

Connect
mobile photography technology, culture and community www.dpreview.com News Reviews Features Phones Tablets Cameras Apps Forums Mobile photography ...

Kinvey Connects Mobile Apps To Facebook’s Open Graph
Facebook’s open graph technology is great for Web applications that want to better connect with users through the social network. But what about ...

Apple celebrates App Store records as it notes iTunes Connect’s usual holiday break
Apple has posted the dates of the usual holiday shutdown of iTunes Connect , running for eight days from 22 to 29 December inclusive. During ...

FishbowlNY Newsstand: Connect The Dots
FishbowlNY Newsstand: Connect The Dots

Apple announces Dec. 22-29 holiday closing dates for iTunes Connect
Apple has announced the dates for the annual holiday shutdown of iTunes Connect. As in the previous year , Apples developer portal is scheduled ...

App connects seniors across the globe
The start-up behind the app raised $1 million in its first six months and has grown to serve a global user base of 25,000.

Ford announces Sync Connect smartphone app
The app works with Ford's new embedded modem, first arriving on the 2017 Escape, to bring vehicle functions to the owner's smartphone, no matter ...

Uber Launches Service To Help Drivers Connect With Passengers On Their Route
Between offering taxi, private car and rideshare options, Uber seems to have a service to meet just about every users’ transportation needs. ...

Ford's new Sync Connect app lets you remotely start your car
How do you know that app-connected cars are going to become the norm rather than the exception? When Ford decides to get in on the action. The ...

Resources last updated: 11/26/2015 1:44:39 PM